Quassel IRC - Bug #860

Comma directly after an URL gets added to the URL, making websites break when you click on it
11/22/2009 02:37 PM - Cybertinus

Status: Resolved Start date: 11/22/2009
Priority: Normal Due date:

Assignee: dalbers % Done: 100%
Category: Quassel Client Estimated time: 0.00 hour

Target version:
Version: 0.5.0 0S: Any

Description

Well, the entire bug is written in the subject actually :p. When somebody places an URL in an chat and he adds a comma directly
after it, Quassel adds the comma to the URL, making a lot of websites break. | noticed this when the following happened:

[14:26:12] <user> #imdb 0066580
[14:26:14] <channelBot> http://www.imdb.com/title/tt0066580, Woodstock (1970), 7.8/6084 votes

Quassel created a link to http://www.imdb.com/title/tt0066580, making IMDB report that the page doesn't exists.
If this could be escaped in some way, it would be great.

I've tested this with Quassel 0.5.1, not 0.5.0 as | selected below, but the option 0.5.1 wasn't added there and 0.5.0 was the closed
right choice ;)

Associated revisions

Revision 6b43b39928a36f8c7f497a7f9c2de0133e142bd8 - 01/31/2010 08:26 PM - Daniel Albers
tweak URL regex

We still allow some of the characters flagged "unwise" in RFC 2396
Fixes #860
Fixes #876

Revision 6b43b399 - 01/31/2010 08:26 PM - Daniel Albers
tweak URL regex
We still allow some of the characters flagged "unwise" in RFC 2396

Fixes #860
Fixes #876

History

#1 - 11/24/2009 03:39 PM - XNeo

According to RFC1738 a comma can be part of a URL, even unencoded. So the bug is in your channelBot, not in Quassel.
That said, I've come around the same issue with other chatbots -- therefore it might be nice for Quassel to have the characters configurable that are
recognized as URLs.

So, this isn't a bug. It's merely a feature request.

#2 - 01/28/2010 01:20 AM - dalbers

- Assignee set to dalbers

#3 - 01/31/2010 09:09 PM - dalbers
- Status changed from New to Resolved

- % Done changed from 0 to 100

Applied in changeset 6b43b39928a36f8c7f497a7f9c2de0133e142bd8.
